// Mocks generated by Mockito 5.3.2 from annotations
// in pet_adoption_app/test/feature/adoption/domain/usecase/get_pets_list_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'dart:async' as _i4;

import 'package:dartz/dartz.dart' as _i2;
import 'package:mockito/mockito.dart' as _i1;
import 'package:pet_adoption_app/core/error/failure.dart' as _i5;
import 'package:pet_adoption_app/feature/adoption/domain/entity/pet.dart'
    as _i6;
import 'package:pet_adoption_app/feature/adoption/domain/repository/pet_adoption_repository.dart'
    as _i3;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeEither_0<L, R> extends _i1.SmartFake implements _i2.Either<L, R> {
  _FakeEither_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [PetAdoptionRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockPetAdoptionRepository extends _i1.Mock
    implements _i3.PetAdoptionRepository {
  @override
  _i4.Future<_i2.Either<_i5.Failure, List<_i6.Pet>>> getPetsList() =>
      (super.noSuchMethod(
        Invocation.method(
          #getPetsList,
          [],
        ),
        returnValue: _i4.Future<_i2.Either<_i5.Failure, List<_i6.Pet>>>.value(
            _FakeEither_0<_i5.Failure, List<_i6.Pet>>(
          this,
          Invocation.method(
            #getPetsList,
            [],
          ),
        )),
        returnValueForMissingStub:
            _i4.Future<_i2.Either<_i5.Failure, List<_i6.Pet>>>.value(
                _FakeEither_0<_i5.Failure, List<_i6.Pet>>(
          this,
          Invocation.method(
            #getPetsList,
            [],
          ),
        )),
      ) as _i4.Future<_i2.Either<_i5.Failure, List<_i6.Pet>>>);
  @override
  _i4.Future<_i2.Either<_i5.Failure, _i6.Pet>> adoptPet(_i6.Pet? pet) =>
      (super.noSuchMethod(
        Invocation.method(
          #adoptPet,
          [pet],
        ),
        returnValue: _i4.Future<_i2.Either<_i5.Failure, _i6.Pet>>.value(
            _FakeEither_0<_i5.Failure, _i6.Pet>(
          this,
          Invocation.method(
            #adoptPet,
            [pet],
          ),
        )),
        returnValueForMissingStub:
            _i4.Future<_i2.Either<_i5.Failure, _i6.Pet>>.value(
                _FakeEither_0<_i5.Failure, _i6.Pet>(
          this,
          Invocation.method(
            #adoptPet,
            [pet],
          ),
        )),
      ) as _i4.Future<_i2.Either<_i5.Failure, _i6.Pet>>);
}
